#!filter=enabled;

"Initialize the toolpath",      InitToolpathPass,         "",             all
"Apply the momentum rule",      MomentumRulePass,         "",             all
"Apply the cent accel rule",    CentAccelPass,            "",             all
"Apply extrustion limit rule",  ExtLimitPass,             "",             all
"Apply pre processing rule",    PreProcessPass,           "",             all
"Apply resonance rule",         ResonancePass,            "",             all
"Set final velocity",           SetFinalVelocityPass,     "",             all
"S profile",                    SProfilePass,             "",             all
"Time slice",                   TimeSlicePass,            "",             all
#"Time Slice Correction",        TimeSliceCorrectionPass,  "",             all
#"Impulse Smoothing",            ImpulseSmoothingPass,     "stepper",      all
"Flick",                        FlickPass,                "",             all
"PrePump",                      PrePumpPass,              "",             all
"Mainflow",                     LiquefierPass,            "",             all
"Rollback",                     RollbackPass,             "",             all
"MeltflowBackflowPass",         MeltflowBackflowPass,     "",             all
"Generate PMD commands",        PMDPass,                  "",             all
#"Print Parameters",		PrintParameters,	  "",		  all
#"Generate PMD commands",        PMDPass,                  "useResultInput;stepper",             all
#"Toolpath Statistics",          ToolpathStatisticsPass,   "useResultInput",             all
#"Toolpath Statistics",		ToolpathStatisticsPass,	  "",		  all
#"DumpToolpathPass",             DumpToolpathPass,         "fmt_hdg=%|1$6| %|2$2| %|4$9| %|5$9| %|7$9| %|15$9| %|14$9| %|13$9| %|28$9| %|29$10| %|30$11| %|38$9| %|39$9| %|40$9| %|41$9| %|42$9| %|43$9| %|44$9| %|45$9| ;fmt_data=%|1$06i| %|2$02X| %|4$9.6f| %|5$9.6f| %|7$9.6f| %|15$9.3f| %|14$9.6f| %|13$9.6f| %|28$9.6f| %|29$10.3e| %|30$10X| %|38$9.6f| %|39$9.6f| %|40$9.6f| %|41$9.3f| %|42$9.6f| %|43$9.6f| %|44$9.3f| %|45$9.3f|",    toolpath.layerNumber < 15
#"Dump Toolpath CMBView",        DumpToolpathCMBViewPass,  "format=cmp;includeFlick;useResultInput",  all
#"Dump Toolpath CMBView",        DumpToolpathCMBViewPass,  "format=vel;includeFlick;useResultInput",  all
#"Dump Toolpath CMBView",        DumpToolpathCMBViewPass,  "format=ext;includeFlick;useResultInput",  all

